Bug 18417 - Advanced Editor - Rancor - add shortcuts for copyright symbols (C) (P)
Summary: Advanced Editor - Rancor - add shortcuts for copyright symbols (C) (P)
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 11559
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-11 15:27 UTC by Nick Clemens
Modified: 2018-01-19 13:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18417 - Advanced Editor - Rancor - add shortcuts for copyright symbols (C) (P) (1.29 KB, patch)
2017-04-11 15:31 UTC, Nick Clemens
Details | Splinter Review
Bug 18417: Followup - Document new shortcuts in dropdown (1.02 KB, patch)
2017-10-24 19:12 UTC, Nick Clemens
Details | Splinter Review
Bug 18417 - Advanced Editor - Rancor - add shortcuts for copyright symbols (C) (P) (1.34 KB, patch)
2017-10-25 01:38 UTC, M. Tompsett
Details | Splinter Review
Bug 18417: Followup - Document new shortcuts in dropdown (1.07 KB, patch)
2017-10-25 01:38 UTC, M. Tompsett
Details | Splinter Review
Bug 18417 - Advanced Editor - Rancor - add shortcuts for copyright symbols (C) (P) (1.40 KB, patch)
2018-01-02 21:18 UTC, Josef Moravec
Details | Splinter Review
Bug 18417: (follow-up) Document new shortcuts in dropdown (1.13 KB, patch)
2018-01-02 21:18 UTC, Josef Moravec
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-04-11 15:27:54 UTC

    
Comment 1 Nick Clemens 2017-04-11 15:31:24 UTC
Created attachment 62057 [details] [review]
Bug 18417 - Advanced Editor - Rancor - add shortcuts for copyright symbols (C) (P)

To test:
1 - Apply patch
2 - Open advanced cataloging editor
3 - Try using Alt+P and Alt+C and note symbols are added
4 - Save record and ensure symbols are saved
Comment 2 Josef Moravec 2017-05-04 09:23:20 UTC
I think it would be nice to have these shortcuts documented under the "Keyboard shortcuts" button in editor toolbar, what do you think?
Comment 3 Katrin Fischer 2017-10-02 23:35:54 UTC
This works nicely, but needs documentation. Maybe add it to the shortcut list?
Comment 4 Nick Clemens 2017-10-24 19:12:18 UTC
Created attachment 68501 [details] [review]
Bug 18417: Followup - Document new shortcuts in dropdown
Comment 5 M. Tompsett 2017-10-25 01:36:44 UTC
Sweet little patch. Works great. Nice display of what the ALT+C and ALT+P do. I attempted it on a random MARC subfield (028$b), and it saved and retrieved the changes just fine. Signing off.
Comment 6 M. Tompsett 2017-10-25 01:38:38 UTC
Created attachment 68509 [details] [review]
Bug 18417 - Advanced Editor - Rancor - add shortcuts for copyright symbols (C) (P)

To test:
1 - Apply patch
2 - Open advanced cataloging editor
3 - Try using Alt+P and Alt+C and note symbols are added
4 - Save record and ensure symbols are saved

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 7 M. Tompsett 2017-10-25 01:38:41 UTC
Created attachment 68510 [details] [review]
Bug 18417: Followup - Document new shortcuts in dropdown

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 8 Josef Moravec 2018-01-02 21:18:26 UTC
Created attachment 70237 [details] [review]
Bug 18417 - Advanced Editor - Rancor - add shortcuts for copyright symbols (C) (P)

To test:
1 - Apply patch
2 - Open advanced cataloging editor
3 - Try using Alt+P and Alt+C and note symbols are added
4 - Save record and ensure symbols are saved

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Josef Moravec 2018-01-02 21:18:31 UTC
Created attachment 70238 [details] [review]
Bug 18417: (follow-up) Document new shortcuts in dropdown

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 10 Jonathan Druart 2018-01-09 20:27:52 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 11 Nick Clemens 2018-01-15 16:48:44 UTC
Awesome work all, pushed to stable for 17.11.02